<div class="py-4">
    <p class="text-xl">Mise à jour d'un post</p>
</div>
@if (post === undefined) {
    <div class="absolute right-1/2 top-1/2 -translate-y-1/2 translate-x-1/2">
        <p>Récupération du post en cours...</p>
    </div>
}
@else if (post === null) {
    <div class="absolute right-1/2 top-1/2 -translate-y-1/2 translate-x-1/2">
        <p>Le post n'a pas été trouvé !</p>
    </div>
}
@else {
    <app-flat-box>
        <form [formGroup]="postUpdateForm" class="flex flex-col gap-4">
            <div class="flex items-center gap-2">
                <label for="content">Contenu : </label>
                <app-text-input
                    id="content"
                    [type]="'text'"
                    [formControlName]="'content'"
                    [placeholder]="'Contenu du post'"
                    [isError]="false"
                    [guestForm]="postUpdateForm"
                />
            </div>
            <div>
                <app-main-button
                    [label]="'Mettre à jour'"
                    [isDisabled]="false"
                    [isLoading]="false"
                    (onClick)="onSubmit()"
                />
            </div>
        </form>
        @if (error !== undefined) {
            <p class="text-red-500 font-semibold mt-4">{{ error }}</p>
        }
    </app-flat-box>
}
